Viewing Gentrace v2 documentation View Gentrace v1
Viewing Gentrace v2 documentation View Gentrace v1
List datasets
curl --request GET \
--url https://gentrace.ai/api/v4/datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"name": "Dataset - negative user feedback - 2025-04-01",
"description": "Negative user feedback collected from our production environment",
"archivedAt": "2025-04-01T00:00:00.000Z",
"pipelineId": "123e4567-e89b-12d3-a456-426614174000"
}
]
}Documentation Index
Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter Gentrace API key (Format: Authorization: Bearer )
Filter to the datasets for a specific pipeline by UUID
"123e4567-e89b-12d3-a456-426614174000"
Pipeline slug
1"email-summarizer"
Flag to include archived datasets
false
Successful response
Show child attributes
curl --request GET \
--url https://gentrace.ai/api/v4/datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"name": "Dataset - negative user feedback - 2025-04-01",
"description": "Negative user feedback collected from our production environment",
"archivedAt": "2025-04-01T00:00:00.000Z",
"pipelineId": "123e4567-e89b-12d3-a456-426614174000"
}
]
}